// class Info

#ifndef TITLEINFO_H
#define TITLEINFO_H

class TitleInfo {
public:
	TitleInfo();
	void drawOnCaption();
	void setText(const char *);
	void setFont(const LOGFONT &);
	void setFontColor(const DWORD);
private:
    char szText[512];	
	unsigned int nLastCaptionXPos;
	unsigned int nLastCaptionLen;
	LOGFONT sCaptionFont;
	HWND hLastForegroundWindow;
	DWORD nCaptionFontColor;

	void drawCaption(HWND, unsigned int nStyle);
	void updateCaption(HWND);
	void setDefaultFont();
};

#endif
